package com.cm.common.pojo.dtos.templaterecord;

import com.cm.common.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: TemplateRecordDTO
 * @Description: 模板构建记录
 * @Author: WenG
 * @Date: 2020-05-07 16:50
 * @Version: 1.0
 **/
@ApiModel
public class TemplateRecordDTO {

    @ApiModelProperty(name = "templateRecordId", value = "主键")
    private String templateRecordId;
    @ApiModelProperty(name = "templateId", value = "模板")
    private String templateId;
    @ApiModelProperty(name = "businessContent", value = "业务表内容")
    @CheckEmptyAnnotation(name = "业务表内容")
    private String businessContent;
    @ApiModelProperty(name = "templateRecordBuilderTime", value = "构建时间")
    private String templateRecordBuilderTime;
    @ApiModelProperty(name = "templateRecordPath", value = "模板保存路径")
    private String templateRecordPath;
    @ApiModelProperty(name = "templateRecordUrl", value = "模板访问路径")
    private String templateRecordUrl;
    @ApiModelProperty(name = "templateRecordUrlNginx", value = "模板访问全路径")
    private String templateRecordUrlNginx;
    @ApiModelProperty(name = "templateName", value = "模板名称")
    private String templateName;

    public String getTemplateRecordUrlNginx() {
        return templateRecordUrlNginx == null ? "" : templateRecordUrlNginx;
    }

    public void setTemplateRecordUrlNginx(String templateRecordUrlNginx) {
        this.templateRecordUrlNginx = templateRecordUrlNginx;
    }

    public String getTemplateName() {
        return templateName == null ? "" : templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getBusinessContent() {
        return businessContent == null ? "" : businessContent;
    }

    public void setBusinessContent(String businessContent) {
        this.businessContent = businessContent;
    }

    public String getTemplateRecordId() {
        return templateRecordId == null ? "" : templateRecordId;
    }

    public void setTemplateRecordId(String templateRecordId) {
        this.templateRecordId = templateRecordId;
    }

    public String getTemplateId() {
        return templateId == null ? "" : templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getTemplateRecordBuilderTime() {
        return templateRecordBuilderTime == null ? "" : templateRecordBuilderTime;
    }

    public void setTemplateRecordBuilderTime(String templateRecordBuilderTime) {
        this.templateRecordBuilderTime = templateRecordBuilderTime;
    }

    public String getTemplateRecordPath() {
        return templateRecordPath == null ? "" : templateRecordPath;
    }

    public void setTemplateRecordPath(String templateRecordPath) {
        this.templateRecordPath = templateRecordPath;
    }

    public String getTemplateRecordUrl() {
        return templateRecordUrl == null ? "" : templateRecordUrl;
    }

    public void setTemplateRecordUrl(String templateRecordUrl) {
        this.templateRecordUrl = templateRecordUrl;
    }


}
